from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.i18n import XCalendar3

@runtime_checkable
class XCalendar4(XCalendar3, Protocol):
    def setLocalDateTime(self, TimeInDays: float) -> None: ...
    def getLocalDateTime(self) -> float: ...
    def loadDefaultCalendarTZ(self, rLocale: Locale, TimeZone: str) -> None: ...
    def loadCalendarTZ(self, uniqueID: str, rLocale: Locale, TimeZone: str) -> None: ...
